package dev.kske.chess.event;

import dev.kske.chess.game.Game;
import dev.kske.eventbus.IEvent;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>GameStartEvent.java</strong><br>
 * Created: <strong>30 Oct 2019</strong><br>
 *
 * @since Chess v0.5-alpha
 * @author Kai S. K. Engelbart
 */
public class GameStartEvent implements IEvent {

	private final Game game;

	/**
	 * Creates an instance of {@link GameStartEvent}.
	 *
	 * @param source the game started
	 */
	public GameStartEvent(Game source) {
		game = source;
	}

	/**
	 * @return the started game
	 */
	public Game getGame() { return game; }
}
